# -*- encoding: utf-8 -*-
##############################################################################
#
#    Addition to OpenERP, Open Source Management Solution   
#    Copyright (C) 2012 Vertel. All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

{
    'name': 'Sales Order with a Tablet',
    'version': '0.1',
    'category': 'Sales',
    "sequence": 25,
    'description': """-------- Work in progress ----------------

This module provides an order view suitable for tablets or smartphones.
=======================================================================

This view are for salesmen working in the field using a device with touch-screen
to take orders.

Main features :
---------------
    * Creates Sales Orders
    * Displaying products with images
    """,
    'author': 'Vertel',
    'images': ['images/cash_registers.jpeg', 'images/pos_analysis.jpeg','images/register_analysis.jpeg','images/sale_order_pos.jpeg','images/product_pos.jpeg'],
    'depends': ['sale'],
    'init_xml': [],

    'update_xml': [
        'security/point_of_sale_security.xml',
        'security/ir.model.access.csv',
        'wizard/pos_details.xml',
        'wizard/pos_confirm.xml',
        'wizard/pos_discount.xml',
        'wizard/pos_open_statement.xml',
        'wizard/pos_close_statement.xml',
        'wizard/pos_box_entries.xml',
        'wizard/pos_payment_report_user_view.xml',
        'wizard/pos_box_out.xml',
        'wizard/pos_sales_user.xml',
        'wizard/pos_receipt_view.xml',
        'wizard/pos_payment_report_user.xml',
        'wizard/pos_payment_report.xml',
        'wizard/pos_payment.xml',
        'point_of_sale_report.xml',
        'point_of_sale_view.xml',
        'report/pos_order_report_view.xml',
        'report/report_cash_register_view.xml',
        'point_of_sale_sequence.xml',
        'point_of_sale_workflow.xml',
        'account_statement_view.xml',
        'account_statement_report.xml',
    ],
    'demo_xml': [
        'point_of_sale_demo.xml',
        'account_statement_demo.xml',
        'test/00_register_open.yml'
    ],
    'test': [],
    'installable': True,
    'application': True,
    # Web client
    'js': ['static/lib/backbone/backbone-0.5.3.js', 'static/src/js/pos.js'],
    'css': ['static/src/css/pos.css'],
    'qweb': ['static/src/xml/pos.xml'],
}
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
